# RubyLndGrpcClient

This is ruby grpc client for [lnd](https://github.com/lightningnetwork/lnd) v0.2.1-alpha. It is generated code
from [rpc.proto](https://github.com/lightningnetwork/lnd/blob/2486097554baf8fe61b4e531e42d3c725dd0fca5/lnrpc/rpc.proto).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ruby_lnd_grpc_client'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ruby_lnd_grpc_client

## Usage

To use package you need to create client for you lnd and then make grpc calls.

```ruby
require 'ruby_lnd_grpc_client'

client = Lnrpc::Lightning::Stub.new('127.0.0.1:10009', :this_channel_is_insecure) # you should put ip of your lnd
obj = Lnrpc::GetInfoRequest.new()
info = client.get_info(obj)
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

