# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ruby_lnd_grpc_client/version'

Gem::Specification.new do |spec|
  spec.name          = "ruby_lnd_grpc_client"
  spec.version       = RubyLndGrpcClient::VERSION
  spec.authors       = ["Vladyslav Budichenko"]
  spec.email         = ["lightning@bitfury.com"]

  spec.summary       = %q{grpc lnd client}
  spec.description   = %q{This is grpc client for lnd v0.2.1-alpha. Is generated code from rpc.proto}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency 'grpc', '~> 1.2.5', '>= 1.2.5'

end
